Subject: devel-digest V2 #176
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Friday, May 21 1999           Volume 02 : Number 176

In this issue:

    Re: X 
    more on exceptions
    setjmp and libpthreads 
    Re: setjmp and libpthreads 
    Re: setjmp and libpthreads 
    Re: setjmp and libpthreads
    Re: X
    My memory sucks...RH6?

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Thu, 20 May 1999 14:00:13 +0200
From: "Jan Rinze" <[email-masked]>
Subject: Re: X 

>Ralph Siemsen wrote:
>
>>I've seen similar problems with xterms in KDE with certain fonts... i
>>figured it was a bug in the font render.  Does "xrefresh" clean things up?
>
>Yup, so does just dragging some other window across the affected area.
>
>p.

Sounds like an alignment problem to me..

I have noticed the green stripes and font render problems too.

The green stripes look to me as a stdout or stderr output  that
is rendered in text mode.

Jan Rinze.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 20 May 1999 15:47:12 +0100
From: [email-masked]
Subject: more on exceptions

So, having finally remembered some of the C++ I was taught at college, I had a 
quick play with the exception handling in current versions of GCC.  From my 
superficial testing it seems that setjmp/longjmp exceptions are OK but Dwarf2 
based handling is not.  Unless someone needs this badly enough to write the
support (or pay for it) I suspect this is likely to remain the situation for a 
while.

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 20 May 1999 13:38:47 -0400
From: [email-masked]
Subject: setjmp and libpthreads 

Sorry if I'm regurgitating old subjects, but I am considering using the
glibc-2.1.1
version of libpthreads and need to know if it is stable on the StrongArm
platforms.
Anyone using this with success?

Also, I noticed that the glibc source has a fpu and a non-fpu version of
several
headers, includeing setjmp.  There were some old discussions regarding
the correct length of __jmp_buf[] and the value of __JMP_BUF_SP.  One
version
of the headers has __JMP_BUF_SP as 8 and the fpu version sets it to 20.

glibc is installing the fpu version, but I don't understand why __JMP_BUF_SP
is
set to 20.  The comments in setjmp.h indicate v1-v6, sl, fp, sp, and pc are
saved.
This implies that __JMP_BUF_SP should be set to 8.

Should the Netwinder be using the fpu version with __JMP_BUF_SP set to 20?
What
else is being saved in __jmp_buf to make 20 the correct value for
__JMP_BUF_SP?

Thanks,
Eric

- --------------------------------------------------------------
Eric Thomas                                      Ericsson Inc.
Software Engineer                       7001 Development Drive
[email-masked]     Research Triangle Park, NC  27709
Voice: (919)472-7082                        FAX: (919)472-1561

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 20 May 1999 20:03:28 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: setjmp and libpthreads 

Eric Thomas wrote:

>glibc is installing the fpu version, but I don't understand why __JMP_BUF_SP
>is set to 20.  The comments in setjmp.h indicate v1-v6, sl, fp, sp, and pc are
>saved.  This implies that __JMP_BUF_SP should be set to 8.

The code that does this is in glibc/sysdeps/arm/{fpu/}setjmp.S.  The comment 
is slightly misleading - for the fpu version we save four floating point 
registers (each 3 words) as well.  So the total number of words pushed 
prior to SP is 12 + (v1-v6, sl, fp) = 20.

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 20 May 1999 20:36:24 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: setjmp and libpthreads 

Oops, I forgot to actually answer your main question.

>Sorry if I'm regurgitating old subjects, but I am considering using the
>glibc-2.1.1 version of libpthreads and need to know if it is stable on 
>the StrongArm platforms.  Anyone using this with success?

It seems stable enough in my limited experience.  I run nscd all the time on 
my netwinder and haven't noticed any problems.  On the few occasions I've 
seriously used other multithreaded programs it's seemed OK too.

>Should the Netwinder be using the fpu version

Yes.  The non-fpu version is intended for systems without "hard" floating 
point.  Emulation at the instruction level counts as hard float for these 
purposes.

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 20 May 1999 14:41:25 -0500
From: "Darryl DeGraff" <[email-masked]>
Subject: Re: setjmp and libpthreads

eric (eric.thomas @ ericsson.com) asked:
> Sorry if I'm regurgitating old subjects, but I am considering using the
> glibc-2.1.1 version of libpthreads and need to know if it is stable on
> the StrongArm platforms.
> Anyone using this with success?

I am running both disk images 10 and 12.  I don't know if it is glibc or
not,
but it is running happily in production environment.

darryl (li-cor)

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 20 May 1999 18:36:44 -0400
From: Douglas Paul <[email-masked]>
Subject: Re: X

Jan Rinze wrote:

> The green stripes look to me as a stdout or stderr output  that
> is rendered in text mode.

Another possibility is a GUI accelerator function that is sending too much data
to the IGS chip. It would just ignore this and it would show up on the screen,
most probably at the top.

- --
Doug Paul

[email-masked]
[email-masked]
ICQ UIN: 4394172

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 20 May 1999 19:19:13 -0500
From: "Ivan R. Judson" <[email-masked]>
Subject: My memory sucks...RH6?

This is a multi-part message in MIME format.

- ------=_NextPart_000_0010_01BEA2F5.A5111540
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit

Did one of the netwinder guys mention something about a new disk image based on
RH6.0?

If not, I'm clearly dreaming/wishing they did :-)

- --Ivan

..........................................................................
Math/Computer Science                          | [email-masked]
Argonne National Laboratory                    | [email-masked]
http://www.mcs.anl.gov/people/judson           |

- ------=_NextPart_000_0010_01BEA2F5.A5111540
Content-Type: application/vcard;
	name="Ivan R. Judson.vcf"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="Ivan R. Judson.vcf"

BEGIN:VCARD
VERSION:2.1
N:Judson;Ivan;R.;;
FN:Ivan R. Judson
ORG:Argonne National Laboratory;
TITLE:
EMAIL;PREF;INTERNET:[email-masked]
REV:19981026T010356Z
END:VCARD

- ------=_NextPart_000_0010_01BEA2F5.A5111540--

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #176
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.